<project name="" default="-mtj-build">
	<path id="path.classpath" />
	<target name="-mtj-initialize">
		<echo message="Initializing MTJ Antenna build environment..." />
		<taskdef resource="antenna.properties">
			<classpath location="${path.antenna.jar}" />
		</taskdef>
		<mkdir dir="${path.build.classes}/_no_export" />
	</target>
	<target name="-mtj-build" depends="-mtj-initialize">
		<echo message="Building source files..." />
		<wtkbuild />
	</target>
	<target name="-mtj-jar" depends="-mtj-build">
		<echo message="Generating unobfuscated jar file..." />
		<antcall target="-mtj-clean" />
		<delete quiet="true" includeEmptyDirs="true">
			<fileset dir="${path.build.output}" includes="*,*/**" />
		</delete>
		<antcall target="-mtj-internal-package" />
	</target>
	<target name="-mtj-deployable" depends="-mtj-build">
		<echo message="Generating obfuscated jar file..." />
		<antcall target="-mtj-clean" />
		<delete quiet="true" includeEmptyDirs="true">
			<fileset dir="${path.build.output}" includes="*,*/**" />
		</delete>
		<antcall target="-mtj-internal-package">
			<param name="flag.should.obfuscate" value="true" />
		</antcall>
	</target>
	<target name="-mtj-internal-package" depends="-mtj-build">
		<copy file="${descriptor.name}" tofile="${path.build.output}/${jad.name}"/>
		<wtkpackage jarfile="${path.build.output}/${midlet.name}.jar"
			jadfile="${path.build.output}/${midlet.name}.jad" obfuscate="false"
			preverify="${flag.preverify}" autoversion="${flag.autoversion}">
			<fileset dir="${path.build.classes}">
				<exclude name="_no_export/" />
			</fileset>
		</wtkpackage>
		<antcall target="-mtj-obfuscate" />
	</target>
	<target name="-mtj-obfuscate" if="flag.should.obfuscate">
		<wtkobfuscate jarfile="${path.build.output}/${midlet.name}.jar"
			jadfile="${path.build.output}/${midlet.name}.jad">
		</wtkobfuscate>
		<wtkpreverify if="flag.preverify"
			jarfile="${path.build.output}/${midlet.name}.jar"
			jadfile="${path.build.output}/${midlet.name}.jad" />
	</target>
	<target name="-mtj-run" depends="-mtj-deployable">
		<echo message="Running emulator..." />
		<wtkrun jadfile="${path.build.output}/${midlet.name}.jad"
			device="${run.device.name}" trace="${run.trace.options}" wait="true" />
	</target>
	<target name="-mtj-makeprc" depends="-mtj-deployable">
		<echo message="Generating Palm PRC file..." />
		<wtkmakeprc jadfile="${path.build.output}/${midlet.name}.jad"
			prcfile="${path.build.output}/${midlet.name}.prc" />
	</target>
	<target name="-mtj-clean">
		<delete quiet="true" includeEmptyDirs="true">
			<fileset dir="${path.build.classes}" includes="*,*/**" />
		</delete>
	</target>
</project>